Skip to main content
GET
/
library
/
{libraryId}
/
collections
Get Collection List
curl --request GET \
  --url https://video.bunnycdn.com/library/{libraryId}/collections \
  --header 'AccessKey: <api-key>'
import requests

url = "https://video.bunnycdn.com/library/{libraryId}/collections"

headers = {"AccessKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};

fetch('https://video.bunnycdn.com/library/{libraryId}/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "totalItems": 123,
  "currentPage": 123,
  "itemsPerPage": 123,
  "items": [
    {
      "videoLibraryId": 123,
      "guid": "<string>",
      "name": "<string>",
      "videoCount": 123,
      "totalSize": 123,
      "previewVideoIds": "<string>",
      "previewImageUrls": [
        "<string>"
      ]
    }
  ]
}

Authorizations

AccessKey
string
header
required

AccessKey based authentication

Path Parameters

libraryId
integer<int64>
required

Query Parameters

page
integer<int32>
default:1
itemsPerPage
integer<int32>
default:100
search
string | null
default:""
orderBy
string | null
default:date
includeThumbnails
boolean
default:false

Response

The list of videos for the current parameters

totalItems
integer<int64>

The total number of items that can be returned

currentPage
integer<int64>

The current page of the response

itemsPerPage
integer<int32>

The number of items returned per page

items
object[] | null

The result items on the current result

Last modified on July 9, 2026